## cedar-backup2 2.7.2

=== manual/Makefile ===
# vim: set ft=make:
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
#              C E D A R
#          S O L U T I O N S       "Software done right."
#           S O F T W A R E
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
# Author   : Kenneth J. Pronovici <pronovic@ieee.org>
# Language : Make
# Project  : Cedar Backup, release 2
# Revision : $Id: Makefile 870 2005-10-01 17:00:57Z pronovic $
# Purpose  : Makefile used for building the Cedar Backup manual.
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

########
# Notes
########

# This Makefile was originally taken from the Subversion project's book
# (http://svnbook.red-bean.com/) and has been substantially modifed (almost
# completely rewritten) for use with Cedar Backup.
#
# The original Makefile was (c) 2000-2004 CollabNet (see CREDITS).
#
# Note that by default, we only build HTML, HTML chunk and PDF output,
# not Postscript.


########################
# Programs and commands
########################

CP                       = cp
FOP                      = ../util/docbook/run-fop.sh
INSTALL                  = install
MKDIR                    = mkdir
RM                       = rm
XSLTPROC                 = xsltproc
W3M                      = w3m


############
# Locations
############

INSTALL_DIR              = ../doc/manual

XSL_DIR                  = ../util/docbook
STYLES_CSS               = $(XSL_DIR)/styles.css
XSL_FO                   = $(XSL_DIR)/fo-stylesheet.xsl
XSL_HTML                 = $(XSL_DIR)/html-stylesheet.xsl
XSL_CHUNK                = $(XSL_DIR)/chunk-stylesheet.xsl

MANUAL_TOP               = .
MANUAL_DIR               = $(MANUAL_TOP)/src
MANUAL_CHUNK_DIR         = $(MANUAL_DIR)/chunk
MANUAL_HTML_TARGET       = $(MANUAL_DIR)/manual.html
MANUAL_CHUNK_TARGET      = $(MANUAL_CHUNK_DIR)/index.html  # index.html is created last
MANUAL_PDF_TARGET        = $(MANUAL_DIR)/manual.pdf
MANUAL_PS_TARGET         = $(MANUAL_DIR)/manual.ps
MANUAL_FO_TARGET         = $(MANUAL_DIR)/manual.fo
MANUAL_TEXT_TARGET       = $(MANUAL_DIR)/manual.txt
MANUAL_XML_SOURCE        = $(MANUAL_DIR)/book.xml
MANUAL_ALL_SOURCE        = $(MANUAL_DIR)/*.xml
MANUAL_HTML_IMAGES       = $(MANUAL_DIR)/images/html/*.png
MANUAL_PDF_IMAGES        = $(MANUAL_DIR)/images/pdf/*.png


#############################################
# High-level targets and simple dependencies
#############################################

all: manual-html manual-chunk 

install: install-manual-pdf install-manual-html install-manual-chunk install-manual-text

clean: 
	-@$(RM) -f $(MANUAL_HTML_TARGET) $(MANUAL_FO_TARGET) $(MANUAL_TEXT_TARGET)
	-@$(RM) -rf $(MANUAL_CHUNK_DIR)
	-@$(RM) -f $(MANUAL_PDF_TARGET) $(MANUAL_PS_TARGET) 

$(INSTALL_DIR):
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)


###################
# HTML build rules
###################

manual-html: $(MANUAL_HTML_TARGET)

$(MANUAL_HTML_TARGET): $(MANUAL_ALL_SOURCE)
	$(XSLTPROC) --output $(MANUAL_HTML_TARGET) $(XSL_HTML) $(MANUAL_XML_SOURCE)

install-manual-html: $(MANUAL_HTML_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)/images
	$(INSTALL) --mode=664 $(MANUAL_HTML_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(STYLES_CSS) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_HTML_IMAGES) $(INSTALL_DIR)/images


###########################
# Chunked HTML build rules
##################*########

manual-chunk: $(MANUAL_CHUNK_TARGET)

# The trailing slash in the $(XSLTPROC) command is essential, so that xsltproc will output pages to the dir
$(MANUAL_CHUNK_TARGET): $(MANUAL_ALL_SOURCE) $(STYLES_CSS) $(MANUAL_HTML_IMAGES)
	$(MKDIR) -p $(MANUAL_CHUNK_DIR)
	$(MKDIR) -p $(MANUAL_CHUNK_DIR)/images
	$(XSLTPROC) --output $(MANUAL_CHUNK_DIR)/ $(XSL_CHUNK) $(MANUAL_XML_SOURCE)
	$(CP) $(STYLES_CSS) $(MANUAL_CHUNK_DIR)
	$(CP) $(MANUAL_HTML_IMAGES) $(MANUAL_CHUNK_DIR)/images

install-manual-chunk: $(MANUAL_CHUNK_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)/images
	$(INSTALL) --mode=664 $(MANUAL_CHUNK_DIR)/*.html $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(STYLES_CSS) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_HTML_IMAGES) $(INSTALL_DIR)/images


###################
# Text build rules
###################

manual-text: manual-html $(MANUAL_TEXT_TARGET)

$(MANUAL_TEXT_TARGET):
	$(W3M) -dump -cols 80 $(MANUAL_HTML_TARGET) > $(MANUAL_TEXT_TARGET)

install-manual-text: $(MANUAL_TEXT_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_TEXT_TARGET) $(INSTALL_DIR)


##################
# PDF build rules
##################

manual-pdf: $(MANUAL_PDF_TARGET)

$(MANUAL_PDF_TARGET): $(MANUAL_ALL_SOURCE) $(MANUAL_PDF_IMAGES)
	$(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
	$(FOP) $(MANUAL_TOP) -fo $(MANUAL_FO_TARGET) -pdf $(MANUAL_PDF_TARGET)

install-manual-pdf: $(MANUAL_PDF_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_PDF_TARGET) $(INSTALL_DIR)


#########################
# Postscript build rules
#########################

manual-ps: $(MANUAL_PS_TARGET)

$(MANUAL_PS_TARGET): $(MANUAL_ALL_SOURCE) $(MANUAL_PDF_IMAGES)
	$(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
	$(FOP) $(MANUAL_TOP) -fo $(MANUAL_FO_TARGET) -ps $(MANUAL_PS_TARGET)

install-manual-ps: $(MANUAL_PS_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_PS_TARGET) $(INSTALL_DIR)

## cedar-backup2 2.14.0

=== manual/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Author   : Kenneth J. Pronovici <pronovic@ieee.org>
 # Language : Make
 # Project  : Cedar Backup, release 2
-# Revision : $Id: Makefile 870 2005-10-01 17:00:57Z pronovic $
+# Revision : $Id: Makefile 999 2006-09-04 17:49:19Z pronovic $
 # Purpose  : Makefile used for building the Cedar Backup manual.
 #
 # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
@@ -143,7 +143,9 @@
 manual-pdf: $(MANUAL_PDF_TARGET)
 
 $(MANUAL_PDF_TARGET): $(MANUAL_ALL_SOURCE) $(MANUAL_PDF_IMAGES)
-	$(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
+	# For some reason --output conflicts with admon.graphics.path ?!?!
+	# $(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
+	$(XSLTPROC) $(XSL_FO) $(MANUAL_XML_SOURCE) > $(MANUAL_FO_TARGET)
 	$(FOP) $(MANUAL_TOP) -fo $(MANUAL_FO_TARGET) -pdf $(MANUAL_PDF_TARGET)
 
 install-manual-pdf: $(MANUAL_PDF_TARGET) $(INSTALL_DIR)

## cedar-backup2 2.19.1

=== manual/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Author   : Kenneth J. Pronovici <pronovic@ieee.org>
 # Language : Make
 # Project  : Cedar Backup, release 2
-# Revision : $Id: Makefile 999 2006-09-04 17:49:19Z pronovic $
+# Revision : $Id: Makefile 575 2006-09-04 17:49:19Z pronovic $
 # Purpose  : Makefile used for building the Cedar Backup manual.
 #
 # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

## cedar-backup2 2.20.1

=== debian/changelog ===
cedar-backup2 (2.20.1-1) unstable; urgency=low

  * New upstream release.
    - Upstream release incorporates manpages.patch, so it has been removed
  * Bumped standards version to 3.9.1.0; no packaging changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 19 Oct 2010 21:02:46 -0500

cedar-backup2 (2.20.0-2) unstable; urgency=low

  * Fix warnings from the Full Lintian Report in the PTS.
    - Tweak debian/control to remove Section: admin from binary package
    - Properly escape "-" in cback.1 and cback-span.1 (in manpage.patch)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 11 Jul 2010 00:07:58 +0000

cedar-backup2 (2.20.0-1) unstable; urgency=low

  * New upstream release.
    - Tweak debian/copyright based on new usptream CREDITS
    - Bump debian/pyversions from 2.3- to 2.5-, per upstream change

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 07 Jul 2010 17:03:08 -0500

cedar-backup2 (2.19.6-3) unstable; urgency=low

  * Add support for DEB_BUILD_OPTIONS=nocheck in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 03 Jul 2010 01:38:25 +0000

cedar-backup2 (2.19.6-2) unstable; urgency=low

  * Bump standards version to 3.9.0.0.
  * Move Homepage: tag to Source section in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format 
    - Add new patch debian/patches/debian-platform.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:21:29 -0500

cedar-backup2 (2.19.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.4 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 22 May 2010 12:07:53 -0500

cedar-backup2 (2.19.5-1) unstable; urgency=low

  * New upstream release.
  * Support wodim/genisoimage instead of cdrecord/mkisofs
    - Patch CedarBackup2/customize.py to use Debian customizations
    - Change debian/control to have Recommends: wodim, genisoimage
    - Add a note about wodim and genisoimage in debian/README.debian

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2010 17:08:09 -0600

cedar-backup2 (2.19.4-3) unstable; urgency=low

  * Fix warnings/problems indicated on package tracking page.
    - Add ${misc:Depends} for all binary packages
    - Move homepage URL to Homepage: field in debian/control

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2010 19:05:00 +0000

cedar-backup2 (2.19.4-2) unstable; urgency=low

  * Don't install testutil.py, consistent with comments (closes: #556282).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 06 Dec 2009 13:26:13 -0600

cedar-backup2 (2.19.4-1) unstable; urgency=low

  * New upstream release, fully supporting Python 2.6 for Ubuntu's benefit.
  * Bump standards version to 3.8.3 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Aug 2009 15:16:13 -0500

cedar-backup2 (2.19.3-1) unstable; urgency=low

  * New upstream release.
  * Remove references to user manual PDF (no longer shipped).
  * Update debian/copyright based on new upstream CREDITS.
  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.
  * Reference /usr/share/common-licenses/GPL-2 rather than just GPL.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 15:00:28 -0500

cedar-backup2 (2.19.2-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  8 Dec 2008 20:13:06 -0600

cedar-backup2 (2.19.1-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 15 Nov 2008 12:24:43 -0600

cedar-backup2 (2.19.0-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  5 Oct 2008 21:46:02 -0500

cedar-backup2 (2.18.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.7.3 (no packaging changes).
  * Updated doc-base configuration per doc-base manual version 0.8.14.
    - Changed cedar-backup2-interface section to "Programming/Python"
    - Changed cedar-backup2-manual section to "System/Administration"

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  5 May 2008 20:03:37 -0500

cedar-backup2 (2.17.1-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 26 Apr 2008 14:34:13 -0500

cedar-backup2 (2.17.0-1) unstable; urgency=low

  * New upstream release
  * Tweak debian/copyright file to match upstream.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 20 Mar 2008 15:43:11 -0500

cedar-backup2 (2.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 18 Mar 2008 20:56:57 -0500

cedar-backup2 (2.15.3-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Mar 2008 18:45:36 -0500

cedar-backup2 (2.15.2-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu,  7 Feb 2008 09:42:38 -0600

cedar-backup2 (2.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 19 Dec 2007 21:41:12 -0600

cedar-backup2 (2.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 18 Dec 2007 22:15:06 -0600

cedar-backup2 (2.14.0-2) unstable; urgency=low

  * Update debian/copyright and debian/watch to refer to new SF project location.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  2 Dec 2007 12:39:48 -0600

cedar-backup2 (2.14.0-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 19 Sep 2007 22:15:49 -0500

cedar-backup2 (2.13.2-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: cedar-backup2
Priority: optional
Section: admin
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: http://cedar-solutions.com/software/cedar-backup/
Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
Standards-Version: 3.9.1.0

Package: cedar-backup2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc
Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
Conflicts: cedar-backup
Description: local and remote backups to CD or DVD media
 Cedar Backup is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python programming language.
 .
 This package provides Cedar Backup command-line utilities as well as the
 CedarBackup2 Python library.  The accompanying documentation package
 (cedar-backup2-doc) contains all of the end-user and library public
 interface documentation.  You really should install cedar-backup2-doc and
 read through the end-user documentation before using Cedar Backup for the
 first time.

Package: cedar-backup2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: cedar-backup2 (<< 2.7.2-2)
Description: local and remote backups to CD or DVD media (documentation)
 Cedar Backup is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python programming language.
 .
 This package provides the end-user and library public interface documentation
 for Cedar Backup, both in HTML form.  You really should read through the
 end-user documentation before using Cedar Backup for the first time.

=== debian/rules ===
#!/usr/bin/make -f

build_dir   = build
install_dir = debian/tmp
python      = /usr/bin/python
setup       = $(python) ./setup.py --quiet

binary: binary-indep

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs -XCVS
	dh_installman
	dh_installexamples
	dh_install -Xtestutil.py --list-missing --sourcedir $(install_dir)
	dh_installlogrotate
	dh_installcron
	dh_fixperms
	dh_compress -X.py -Xmanual.txt
	dh_pysupport -d
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

install: build
	dh_testdir
	dh_testroot
	dh_installdirs 

build: build-stamp
build-stamp: 
	dh_testdir
	$(setup) build --build-base $(build_dir) install --no-compile \
                  --install-purelib $(install_dir)/lib/cedar-backup2 \
                  --install-scripts $(install_dir)/bin
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(python) util/test.py
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(setup) clean
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.pyo" | xargs rm -f
	rm -rf $(build_dir) $(install_dir)
	dh_clean

.PHONY: binary binary-indep install build clean

## cedar-backup2 2.21.0

=== debian/changelog ===
cedar-backup2 (2.21.0-2) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Move to debhelper (>= 9) and debian/compat=9, which is the new standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:05:20 -0500

cedar-backup2 (2.21.0-1) unstable; urgency=low

  * New upstream release.
    - Tweak debian/copyright based on new upstream CREDITS
  * Make it obvious that this dh_python2-based package does not work in squeeze.
    - Change debian/control to use Build-Depends: debhelper (>= 8.0.1)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 12 Oct 2011 09:42:09 -0500

cedar-backup2 (2.20.1-2) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules
  * Transition to dh_python2, since python-support is deprecated for Wheezy.
    - Replace Build-Depends: python-support with python-all in debian/control
    - Replace debian/pyversion with X-Python-Version: >= 2.5 in debian/control
    - Replace call to 'dh_pysupport -d' with 'dh_python2' in debian/rules
    - Replace python-support with pyshared in debian/cedar-backup2.install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 04 Aug 2011 12:28:28 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cedar-solutions.com/software/cedar-backup/
-Build-Depends: python-support (>= 0.3), debhelper(>= 7.0.1)
-Standards-Version: 3.9.1.0
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.3.0
+X-Python-Version: >= 2.5
 
 Package: cedar-backup2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_installcron
 	dh_fixperms
 	dh_compress -X.py -Xmanual.txt
-	dh_pysupport -d
+	dh_python2
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
@@ -32,7 +32,9 @@
 	dh_testroot
 	dh_installdirs 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: 
 	dh_testdir
 	$(setup) build --build-base $(build_dir) install --no-compile \

## cedar-backup2 2.21.1

=== debian/changelog ===
cedar-backup2 (2.21.1-2) unstable; urgency=low

  * Convert debian/rules to debhelper7, overriding just a few standard targets.
  * Modify debian/cedar-backup2.dirs to properly use usr/share/pyshared.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 16:36:23 +0000

cedar-backup2 (2.21.1-1) unstable; urgency=low

  * New upstream release.
    - Tweak debian/copyright based on new upstream CREDITS

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 21 Mar 2013 15:02:25 +0000

cedar-backup2 (2.21.0-3) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.
  * Make minor tweaks in debian/rules for consistency.
    - Add new .PHONY targets for all rules that don't create files
    - Change binary to depend on both binary-arch and binary-indep
    - Change binary-arch to depend on install, not build and install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 19:56:39 +0000

## cedar-backup2 2.22.0

=== manual/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Author   : Kenneth J. Pronovici <pronovic@ieee.org>
 # Language : Make
 # Project  : Cedar Backup, release 2
-# Revision : $Id: Makefile 575 2006-09-04 17:49:19Z pronovic $
+# Revision : $Id: Makefile 936 2009-03-29 19:35:00Z pronovic $
 # Purpose  : Makefile used for building the Cedar Backup manual.
 #
 # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
@@ -24,9 +24,6 @@
 # completely rewritten) for use with Cedar Backup.
 #
 # The original Makefile was (c) 2000-2004 CollabNet (see CREDITS).
-#
-# Note that by default, we only build HTML, HTML chunk and PDF output,
-# not Postscript.
 
 
 ########################
@@ -34,7 +31,6 @@
 ########################
 
 CP                       = cp
-FOP                      = ../util/docbook/run-fop.sh
 INSTALL                  = install
 MKDIR                    = mkdir
 RM                       = rm
@@ -59,14 +55,10 @@
 MANUAL_CHUNK_DIR         = $(MANUAL_DIR)/chunk
 MANUAL_HTML_TARGET       = $(MANUAL_DIR)/manual.html
 MANUAL_CHUNK_TARGET      = $(MANUAL_CHUNK_DIR)/index.html  # index.html is created last
-MANUAL_PDF_TARGET        = $(MANUAL_DIR)/manual.pdf
-MANUAL_PS_TARGET         = $(MANUAL_DIR)/manual.ps
-MANUAL_FO_TARGET         = $(MANUAL_DIR)/manual.fo
 MANUAL_TEXT_TARGET       = $(MANUAL_DIR)/manual.txt
 MANUAL_XML_SOURCE        = $(MANUAL_DIR)/book.xml
 MANUAL_ALL_SOURCE        = $(MANUAL_DIR)/*.xml
 MANUAL_HTML_IMAGES       = $(MANUAL_DIR)/images/html/*.png
-MANUAL_PDF_IMAGES        = $(MANUAL_DIR)/images/pdf/*.png
 
 
 #############################################
@@ -75,12 +67,11 @@
 
 all: manual-html manual-chunk 
 
-install: install-manual-pdf install-manual-html install-manual-chunk install-manual-text
+install: install-manual-html install-manual-chunk install-manual-text
 
 clean: 
 	-@$(RM) -f $(MANUAL_HTML_TARGET) $(MANUAL_FO_TARGET) $(MANUAL_TEXT_TARGET)
 	-@$(RM) -rf $(MANUAL_CHUNK_DIR)
-	-@$(RM) -f $(MANUAL_PDF_TARGET) $(MANUAL_PS_TARGET) 
 
 $(INSTALL_DIR):
 	$(INSTALL) --mode=775 -d $(INSTALL_DIR)
@@ -136,32 +127,3 @@
 	$(INSTALL) --mode=664 $(MANUAL_TEXT_TARGET) $(INSTALL_DIR)
 
 
-##################
-# PDF build rules
-##################
-
-manual-pdf: $(MANUAL_PDF_TARGET)
-
-$(MANUAL_PDF_TARGET): $(MANUAL_ALL_SOURCE) $(MANUAL_PDF_IMAGES)
-	# For some reason --output conflicts with admon.graphics.path ?!?!
-	# $(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
-	$(XSLTPROC) $(XSL_FO) $(MANUAL_XML_SOURCE) > $(MANUAL_FO_TARGET)
-	$(FOP) $(MANUAL_TOP) -fo $(MANUAL_FO_TARGET) -pdf $(MANUAL_PDF_TARGET)
-
-install-manual-pdf: $(MANUAL_PDF_TARGET) $(INSTALL_DIR)
-	$(INSTALL) --mode=664 $(MANUAL_PDF_TARGET) $(INSTALL_DIR)
-
-
-#########################
-# Postscript build rules
-#########################
-
-manual-ps: $(MANUAL_PS_TARGET)
-
-$(MANUAL_PS_TARGET): $(MANUAL_ALL_SOURCE) $(MANUAL_PDF_IMAGES)
-	$(XSLTPROC) --output $(MANUAL_FO_TARGET) $(XSL_FO) $(MANUAL_XML_SOURCE)
-	$(FOP) $(MANUAL_TOP) -fo $(MANUAL_FO_TARGET) -ps $(MANUAL_PS_TARGET)
-
-install-manual-ps: $(MANUAL_PS_TARGET) $(INSTALL_DIR)
-	$(INSTALL) --mode=664 $(MANUAL_PS_TARGET) $(INSTALL_DIR)
-

=== debian/changelog ===
cedar-backup2 (2.22.0-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 10 May 2013 22:02:16 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cedar-solutions.com/software/cedar-backup/
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.4.0
 X-Python-Version: >= 2.5
 
 Package: cedar-backup2

=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	dh_install -Xtestutil.py --fail-missing

override_dh_compress:
	dh_compress -X.py -Xmanual.txt

override_dh_auto_install:
	dh_auto_install -- --install-purelib lib/cedar-backup2 --install-scripts bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(python) util/test.py
endif

=== debian/watch ===
version=3
http://sf.net/cedar-backup/CedarBackup2-(.*)\.tar\.gz

## cedar-backup2 2.24.1

=== debian/changelog ===
cedar-backup2 (2.24.1-1) unstable; urgency=low

  * New upstream release.
  * Handle new installed program cback-amazons3-sync:
     - Add Depends: python-chardet in debian/control
     - Add Build-Depends: python-chardet in debian/control
     - Add cback-amazons3-sync to debian/cedar-backup2.install
     - Add cback-amazons3-sync.1 to debian/cedar-backup2.manpages

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Oct 2014 20:34:52 -0500

cedar-backup2 (2.23.3-1) unstable; urgency=low

  * New upstream release.
  * Add new Recommends: awscli in debian/control, tied to amazons3 extension.
  * Update description in debian/control to discuss Amazon S3 (match README).
  * Update debian/copyright to be consistent with new upstream release.
  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 01 Oct 2014 02:11:19 +0000

cedar-backup2 (2.22.0-2) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:38:14 -0600

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://cedar-solutions.com/software/cedar-backup/
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4.0
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-chardet
+Standards-Version: 3.9.6.0
 X-Python-Version: >= 2.5
 
 Package: cedar-backup2
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc
+Depends: ${python:Depends}, ${misc:Depends}, python-chardet
+Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc, awscli (>= 1.4)
 Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
 Conflicts: cedar-backup
 Description: local and remote backups to CD or DVD media
@@ -25,6 +25,9 @@
  of each week.  If your hardware is new enough, Cedar Backup can write
  multisession discs, allowing you to add incremental data to a disc on a daily
  basis.
+ .
+ Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
+ rather than relying on physical media.
  .
  Besides offering command-line utilities to manage the backup process, Cedar
  Backup provides a well-organized library of backup-related functionality,
@@ -55,6 +58,9 @@
  multisession discs, allowing you to add incremental data to a disc on a daily
  basis.
  .
+ Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
+ rather than relying on physical media.
+ .
  Besides offering command-line utilities to manage the backup process, Cedar
  Backup provides a well-organized library of backup-related functionality,
  written in the Python programming language.

## cedar-backup2 2.24.2

=== debian/changelog ===
cedar-backup2 (2.24.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright to be consistent with new upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Jan 2015 21:20:58 +0000

## cedar-backup2 2.24.3

=== debian/changelog ===
cedar-backup2 (2.24.3-1) unstable; urgency=medium

  * New upstream release.
  * Make adjustments now that upstream has moved to BitBucket.
    - Update homepage in debian/control
    - Update homepage in debian/copyright
    - Update upstream source URL in debian/watch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 26 Jul 2015 01:32:49 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
-Homepage: http://cedar-solutions.com/software/cedar-backup/
+Homepage: https://bitbucket.org/cedarsolutions/cedar-backup2
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python-chardet
 Standards-Version: 3.9.6.0
 X-Python-Version: >= 2.5

## cedar-backup2 2.24.4

=== debian/changelog ===
cedar-backup2 (2.24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 27 Jul 2015 12:04:38 -0500

## cedar-backup2 2.25.0

=== debian/changelog ===
cedar-backup2 (2.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control for new dependency on Python 2.7.
    - Change Build-Depends to show python-all (>= 2.7)
    - List X-Python-Version: >= 2.7 
  * Adjust package to differentiate it from the new Cedar Backup 3.
    - Change doc-base config files so name shows "Cedar Backup 2"
    - Update package description to reference "Python 2"
  * Update package description to mention Amazon S3 storage.
  * Add Build-Depends on dh-python to quiet build warning.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 29 Jul 2015 18:09:04 -0500

=== debian/control ===
Source: cedar-backup2
Priority: optional
Section: admin
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: https://bitbucket.org/cedarsolutions/cedar-backup2
Build-Depends: debhelper (>= 9), python-all (>= 2.7), python-chardet, dh-python
Standards-Version: 3.9.6.0
X-Python-Version: >= 2.7

Package: cedar-backup2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-chardet
Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc, awscli (>= 1.4)
Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
Conflicts: cedar-backup
Description: local and remote backups to CD/DVD media or Amazon S3 storage
 Cedar Backup 2 is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 2 programming language.
 .
 This package provides Cedar Backup command-line utilities as well as the
 CedarBackup2 Python library.  The accompanying documentation package
 (cedar-backup2-doc) contains all of the end-user and library public
 interface documentation.  You really should install cedar-backup2-doc and
 read through the end-user documentation before using Cedar Backup for the
 first time.

Package: cedar-backup2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: cedar-backup2 (<< 2.7.2-2)
Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
 Cedar Backup is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 2 programming language.
 .
 This package provides the end-user and library public interface documentation
 for Cedar Backup, both in HTML form.  You really should read through the
 end-user documentation before using Cedar Backup for the first time.

## cedar-backup2 2.26.0

=== debian/changelog ===
cedar-backup2 (2.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 03 Aug 2015 21:26:52 -0500

## cedar-backup2 2.26.1

=== debian/changelog ===
cedar-backup2 (2.26.1-2) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).  
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:50:41 -0500

cedar-backup2 (2.26.1-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Aug 2015 14:19:24 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup2
 Build-Depends: debhelper (>= 9), python-all (>= 2.7), python-chardet, dh-python
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.6.1
 X-Python-Version: >= 2.7
 
 Package: cedar-backup2

## cedar-backup2 2.26.4

=== debian/changelog ===
cedar-backup2 (2.26.4-1) unstable; urgency=medium

  * New upstream release.
  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Change debian/rules to run unit tests via debian/smoketest
    - Start distributing CedarBackup2/testutil.py, which is required for tests
    - Update debian-platform.patch to remove unnecessary platform override 

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:29:28 +0000

## cedar-backup2 2.26.5

=== manual/Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 # Author   : Kenneth J. Pronovici <pronovic@ieee.org>
 # Language : Make
 # Project  : Cedar Backup, release 2
-# Revision : $Id: Makefile 936 2009-03-29 19:35:00Z pronovic $
 # Purpose  : Makefile used for building the Cedar Backup manual.
 #
 # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

=== debian/changelog ===
cedar-backup2 (2.26.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to list new copyright year 2016.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 02 Jan 2016 21:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9), python-all (>= 2.7), python-chardet, dh-python
 Standards-Version: 3.9.6.1
 X-Python-Version: >= 2.7
+Testsuite: autopkgtest
 
 Package: cedar-backup2
 Architecture: all

=== debian/tests/control ===
# Run the unit tests on the library code
Tests: unittest
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback
Tests: cback-version cback-help cback-diagnostics
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback-span
Tests: cback-span-version cback-span-help cback-span-diagnostics
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback-amazons3-sync
Tests: cback-amazons3-sync-version cback-amazons3-sync-help cback-amazons3-sync-diagnostics
Restrictions: allow-stderr

# Run a simple backup and make sure it succeeds
Tests: simplebackup
Depends: @, awk, diffutils, tar
Restrictions: allow-stderr, needs-root

## cedar-backup2 2.26.6

=== debian/changelog ===
cedar-backup2 (2.26.6-2) unstable; urgency=medium

  * Bump standards version to 4.0.1.0 (no packaging changes).  
  * Add 'Recommends: fdisk | util-linux' in debian/control (closes: #872218).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 15 Aug 2017 23:44:33 +0000

cedar-backup2 (2.26.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.0.0.0 (no packaging changes).  
  * Update debian/copyright to list new copyright year 2017.
  * Update debian/control to recommend awscli (>= 1.11.13-1).
  * Remove patches/typo.patch, which is now accounted for upstream.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 03 Jul 2017 23:48:48 +0000

cedar-backup2 (2.26.5-3) unstable; urgency=medium

  * Suggest 'default-mysql-client|virtual-mysql-client' per new MySQL standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2016 13:21:06 -0500

cedar-backup2 (2.26.5-2) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).  
  * Add patches/typo.patch to fix misspelling discovered by Lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jun 2016 15:16:04 -0500

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup2
 Build-Depends: debhelper (>= 9), python-all (>= 2.7), python-chardet, dh-python
-Standards-Version: 3.9.6.1
+Standards-Version: 4.0.1.0
 X-Python-Version: >= 2.7
 Testsuite: autopkgtest
 
 Package: cedar-backup2
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-chardet
-Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc, awscli (>= 1.4)
-Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
+Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup2-doc, awscli (>= 1.11.13-1), fdisk | util-linux (<< 2.29.2-3~)
+Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Conflicts: cedar-backup
 Description: local and remote backups to CD/DVD media or Amazon S3 storage
  Cedar Backup 2 is a software package designed to manage system backups for a

## cedar-backup2 2.26.7

=== debian/changelog ===
cedar-backup2 (2.26.7-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 11 Sep 2017 01:45:57 +0000

## cedar-backup2 2.27.0

=== debian/changelog ===
cedar-backup2 (2.27.0-2) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).  
  * Add Lintian override for warning about Python 2 dependency.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 01:35:31 +0000

cedar-backup2 (2.27.0-1) unstable; urgency=medium

  * New upstream release (last supported version of Cedar Backup v2).
  * Add a debian/NEWS.Debian file to nudge users toward upgrading.
  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes).  

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 11 Nov 2017 17:25:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup2
 Build-Depends: debhelper (>= 9), python-all (>= 2.7), python-chardet, dh-python
-Standards-Version: 4.0.1.0
+Standards-Version: 4.1.3.0
 X-Python-Version: >= 2.7
-Testsuite: autopkgtest
+Vcs-Browser: https://salsa.debian.org/debian/cedar-backup2
+Vcs-Git: https://salsa.debian.org/debian/cedar-backup2.git
 
 Package: cedar-backup2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with python2
 
 override_dh_install:
-	dh_install -Xtestutil.py --fail-missing
+	dh_install --fail-missing
 
 override_dh_compress:
 	dh_compress -X.py -Xmanual.txt
@@ -17,6 +17,6 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(python) util/test.py
+	sh debian/smoketest
 endif

=== debian/watch ===
version=3
https://bitbucket.org/cedarsolutions/cedar-backup2/downloads/CedarBackup2-(.*)\.tar\.gz
